org.eclipse.jgit.util

## Enum GitDateFormatter.Format

- java.lang.Object
- - java.lang.Enum<GitDateFormatter.Format>
  - - org.eclipse.jgit.util.GitDateFormatter.Format

All Implemented Interfaces:
  Serializable, Comparable<GitDateFormatter.Format>

Enclosing class:
  GitDateFormatter

    public static enum GitDateFormatter.Format
    extends Enum<GitDateFormatter.Format>

Git and JGit formats

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT` Git format: Time and original time zone
`ISO` Git format: ISO 8601 plus time zone
`LOCAL` Git format: Date and time in local time zone
`LOCALE` Locale dependent formatting with original time zone
`LOCALELOCAL` Locale dependent formatting in local time zone
`RAW` Git format: Seconds size 1970 in UTC plus time zone
`RELATIVE` Git format: Relative time stamp
`RFC` Git formt: RFC 2822 plus time zone
`SHORT` Git format: YYYY-MM-DD

### Method Summary

Methods
`static GitDateFormatter.Format` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GitDateFormatter.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final GitDateFormatter.Format DEFAULT

Git format: Time and original time zone

#### RELATIVE

    public static final GitDateFormatter.Format RELATIVE

Git format: Relative time stamp

#### LOCAL

    public static final GitDateFormatter.Format LOCAL

Git format: Date and time in local time zone

#### ISO

    public static final GitDateFormatter.Format ISO

Git format: ISO 8601 plus time zone

#### RFC

    public static final GitDateFormatter.Format RFC

Git formt: RFC 2822 plus time zone

#### SHORT

    public static final GitDateFormatter.Format SHORT

Git format: YYYY-MM-DD

#### RAW

    public static final GitDateFormatter.Format RAW

Git format: Seconds size 1970 in UTC plus time zone

#### LOCALE

    public static final GitDateFormatter.Format LOCALE

Locale dependent formatting with original time zone

#### LOCALELOCAL

    public static final GitDateFormatter.Format LOCALELOCAL

Locale dependent formatting in local time zone

### Method Detail

#### values

    public static GitDateFormatter.Format[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GitDateFormatter.Format c : GitDateFormatter.Format.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GitDateFormatter.Format valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null